diff --recursive -P -C3 slashem-0.0.7E7F2/dat/medusa.des slethe-0.0.7E7F2/dat/medusa.des
*** slashem-0.0.7E7F2/dat/medusa.des	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/medusa.des	2006-05-28 15:31:15.712994448 +0200
***************
*** 95,100 ****
--- 95,104 ----
  MONSTER:';',"jellyfish",(04,18)
  MONSTER:'T',"water troll",(51,03)
  MONSTER:'T',"water troll",(64,11)
+ MONSTER:'h',"deep one",(28,03)
+ MONSTER:'h',"deep one",(35,03)
+ MONSTER:'h',"deep one",(41,03)
+ MONSTER:'h',"deeper one",(65,10)
  MONSTER:'S',random,(38,07)
  MONSTER:'S',random,(38,12)
  MONSTER:random,random,random
***************
*** 202,207 ****
--- 206,215 ----
  MONSTER:'S',"cobra",(65,10),asleep
  MONSTER:'A',random,(72,08)
  MONSTER:'y',"yellow light",(72,11),asleep
+ MONSTER:'h',"deep one",(28,03)
+ MONSTER:'h',"deep one",(35,03)
+ MONSTER:'h',"deep one",(41,03)
+ MONSTER:'h',"deeper one",(55,16)
  MONSTER:random,random,(17,07)
  MONSTER:random,random,(28,11)
  MONSTER:random,random,(32,13)
diff --recursive -P -C3 slashem-0.0.7E7F2/dat/rumors.fal slethe-0.0.7E7F2/dat/rumors.fal
*** slashem-0.0.7E7F2/dat/rumors.fal	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/rumors.fal	2006-05-28 15:31:15.718993536 +0200
***************
*** 18,23 ****
--- 18,25 ----
  A ring of dungeon master control is a great find.
  A ring of extra ring finger is useless if not enchanted.
  A rope may form a trail in a maze.
+ A scroll of Demonology can tame demons.
+ A scroll of Elementalism will teach you alchemy.
  A staff may recharge if you drop it for awhile.
  A visit to the Zoo is very educational; you meet interesting animals.
  A wand of deaf is a more dangerous weapon than a wand of sheep.
***************
*** 149,160 ****
--- 151,165 ----
  PLEASE ignore previous rumor.
  Polymorph into an ettin; meet your opponents face to face to face.
  Praying will frighten demons.
+ Quaffing a sparkling potion can restore your memory.
+ Reading the Nerconomicon might help.
  Row (3x) that boat gently down the stream, Charon (4x), death is but a dream.
  Running is good for your legs.
  Screw up your courage!  You've screwed up everything else.
  Scrolls fading?  It's not the heat, it's the humidity.
  Seepage?  Leaky pipes?  Rising damp?  Summon the plumber!
  Segmentation fault (core dumped).
+ Shoggoth corpses are good for stomach acid.
  Shopkeepers are insured by Croesus himself!
  Shopkeepers sometimes die from old age.
  Some mazes (especially small ones) have no solutions, says man 6 maze.
***************
*** 366,376 ****
--- 371,383 ----
  Time stands still as the succubus changes her calendar to January 1, 2000.
  Tired?  Try a scroll of charging on yourself.
  To achieve the next higher rating, you need 3 more points.
+ To reach Cthulhu you must pass through Yog Sothoth.
  To reach heaven, escape the dungeon while wearing a ring of levitation.
  Tourists wear shirts loud enough to wake the dead.
  Tridents are for use underwater.
  Try calling your katana Moulinette.
  Waltz, dumb nymph, for quick jigs vex.
+ Tsathoggua dwells in the eternal darkness of the Gulf of N'Kai.
  Ulch!  That meat was painted!
  Unfortunately, this message was left intentionally blank.
  Using a morning star in the evening has no effect.
diff --recursive -P -C3 slashem-0.0.7E7F2/dat/rumors.tru slethe-0.0.7E7F2/dat/rumors.tru
*** slashem-0.0.7E7F2/dat/rumors.tru	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/rumors.tru	2006-05-28 15:31:15.721993080 +0200
***************
*** 31,41 ****
--- 31,43 ----
  Be careful!  The Wizard may plan an ambush!
  Be nice to a nurse:  Put away your weapon and take off your clothes.
  Being digested is a painfully slow process.
+ Beware of repeating parrots!
  Blank scrolls make more interesting reading.
  Blind?  Catch a floating eye!
  Booksellers never read scrolls; they might get carried away.
  Concise conquest:  Control, confuse, conjure, condemn.
  Conserve energy, turn off the lights.
+ Demonology might get you a pet or it might get you a master.
  Digging up a grave could be a bad idea.
  Dilithium crystals are rare indeed.
  Dogs are attracted by the smell of tripe.
***************
*** 68,73 ****
--- 70,76 ----
  Gems are too precious to be thrown away carelessly.
  Getting hungry?  Stop wearing rings!
  Getting too warm?  Take off that Amulet of Yendor and stay away from the exit!
+ Gnolls are only found in Gehennom.
  Gods expect the best from their priesthood.
  Gods look down their noses at demigods.
  Guy Montag keeps his scrolls in a bag.
***************
*** 100,107 ****
--- 103,112 ----
  Kill a unicorn of your color and you kill your luck.
  Leather is waterproof.  Ever see a cow with an umbrella?
  Leprechauns are the most skilled cutpurses in this dungeon.
+ Levitation helps keep your feet dry.
  Lizard corpses protect against cockatrices.
  Look out! Monkeys!
+ Moloch has appointed Cthulhu as his high priest.
  Money lost, little lost; honor lost, much lost; pluck lost, all lost.
  Most monsters can't swim.
  Music hath charms to affect the stubborn drawbridge.
***************
*** 113,118 ****
--- 118,125 ----
  Nurses are accustomed to touch naked persons:  they don't harm them.
  Nymphs can unlink more than your chain mail.
  Once your little dog will be a big dog, and you will be proud of it.
+ Only female monsters can lay eggs.
+ Only trust those pets you know you can rely on.
  Opening a tin is difficult, especially when you attempt it bare handed!
  Orcs and killer bees share their lifestyle.
  Orcs do not procreate in dark rooms.
***************
*** 135,140 ****
--- 142,148 ----
  Scrolls fading?  It's not the heat, it's the humidity.
  Shopkeepers accept credit cards, as long as you pay cash.
  Shopkeepers can spot a tourist a mile away with those Hawaiian shirts.
+ Shopkeepers can make an amazing parrot pie.
  Shopkeepers can't tell identical twins apart.
  Shopkeepers can't swim.
  Shopkeepers don't read, so what use is engraving in a shop?
***************
*** 153,166 ****
--- 161,179 ----
  The Wizard finds death to be quite an experience.
  The best equipment for your work is, of course, the most expensive.
  The gods don't appreciate pesky priesthood.
+ The gods will get angry if you kill your dog.
+ The king will return, know him because he carries the Sword of Albion.
  The magic marker is mightier than the sword.
  The moon is not the only heavenly body to influence this game.
  The orc swings his two handed sword named Elfrist at you.  You die...
  The pen is mightier than the sword.
  The secret of wands of Nothing Happens:  try again!
+ The way to Hell is paved with good intentions.
+ The wizard has moved (again).  Please forward mail to the Gulf of N'Kai.
  There has always been something mystical about mirrors.
  There is a Mastermind deep in the dungeon.
  There is a big treasure hidden in the zoo!
+ There is a wizard who lives on the banks of the Lethe.
  There is more magic in this cave than meets the eye.
  There is no harm in praising a large dog.
  There is nothing like eating a mimic.
***************
*** 181,186 ****
--- 194,200 ----
  They say that a clove of garlic makes a good talisman if handled right.
  They say that a cursed scroll of teleportation could land you in trouble.
  They say that a diamond is another kind of luck stone.
+ They say that a dip in the Lethe eases a troubled mind.
  They say that a dog can be trained to fetch objects.
  They say that a gelatinous cube makes a healthy breakfast.
  They say that a giant gets strong by eating right, try it!
***************
*** 343,348 ****
--- 357,363 ----
  They say the gods get angry if you kill your dog.
  They say the gods get angry if you pray too much.
  They say the shopkeepers are insured by Croesus himself!
+ They say there are hideous things hiding in the darkness of N'Kai!
  They say there is a powerful magic item hidden in a castle deep down!
  Those who wield a cockatrice corpse have a rocky road ahead of them.
  Throwing food at a wild dog might tame him.
***************
*** 356,361 ****
--- 371,377 ----
  Vault guards never disturb their Lords.
  Vegetarians enjoy lichen and seaweed.
  Visitors are requested not to apply genocide to shopkeepers.
+ Vlad has bought the farm.
  Watch out, the Wizard might come back.
  Water traps have no effect on dragons.
  What is a cockatrice going to eat when it gets hungry?
diff --recursive -P -C3 slashem-0.0.7E7F2/dat/yendor.des slethe-0.0.7E7F2/dat/yendor.des
*** slashem-0.0.7E7F2/dat/yendor.des	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/yendor.des	2006-05-28 15:34:23.379464808 +0200
***************
*** 5,36 ****
  #
  # The top (real) wizard level.
  # Keeping the Moat for old-time's sake
! MAZE:"wizard1",random
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------.
! |.......|..|.........|.....|.
! |.......S..|.}}}}}}}.|.....|.
! |..--S--|..|.}}---}}.|---S-|.
! |..|....|..|.}--.--}.|..|..|.
! |..|....|..|.}|...|}.|..|..|.
! |..--------|.}--.--}.|..|..|.
! |..|.......|.}}---}}.|..|..|.
! |..S.......|.}}}}}}}.|..|..|.
! |..|.......|.........|..|..|.
! |..|.......|-----------S-S-|.
! |..|.......S...............|.
! ----------------------------.
  ENDMAP
! STAIR:levregion(01,00,79,20),(0,0,28,12),up
! STAIR:levregion(01,00,79,20),(0,0,28,12),down
! BRANCH:levregion(01,00,79,20),(0,0,28,12)
! TELEPORT_REGION:levregion(01,00,79,20),(0,0,27,12)
  # Make it a morgue for rm id in mkmaze.c
  # for the purpose of random sdoor placement
  REGION:(12,01,20,09),unlit,"morgue",unfilled
! MAZEWALK:(28,05),east
  LADDER:(06,05),down
  # Non diggable walls
  # Walls inside the moat stay diggable
--- 5,36 ----
  #
  # The top (real) wizard level.
  # Keeping the Moat for old-time's sake
! MAZE:"wizard1",' '
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------
! |.......|..|.........|.....|
! |.......S..|.}}}}}}}.|.....|
! |..--S--|..|.}}---}}.|---S-|
! |..|....|..|.}--.--}.|..|..|
! |..|....|..|.}|...|}.|..|..|
! |..--------|.}--.--}.|..|..|
! |..|.......|.}}---}}.|..|..|
! |..S.......|.}}}}}}}.|..|..|
! |..|.......|.........|..|..|
! |..|.......|-----------S-S-|
! |..|.......S...............|
! ----------------------------
  ENDMAP
! # STAIR:levregion(01,00,79,20),(0,0,28,12),up
! # STAIR:levregion(01,00,79,20),(0,0,28,12),down
! # BRANCH:levregion(01,00,79,20),(0,0,28,12)
! # TELEPORT_REGION:levregion(01,00,79,20),(0,0,26,12)
  # Make it a morgue for rm id in mkmaze.c
  # for the purpose of random sdoor placement
  REGION:(12,01,20,09),unlit,"morgue",unfilled
! # MAZEWALK:(28,05),east
  LADDER:(06,05),down
  # Non diggable walls
  # Walls inside the moat stay diggable
***************
*** 89,120 ****
  
  
  # The middle wizard level.
! MAZE:"wizard2",random
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------.
! |.....|.S....|.............|.
! |.....|.-------S--------S--|.
! |.....|.|.........|........|.
! |..-S--S|.........|........|.
! |..|....|.........|------S-|.
! |..|....|.........|.....|..|.
! |-S-----|.........|.....|..|.
! |.......|.........|S--S--..|.
! |.......|.........|.|......|.
! |-----S----S-------.|......|.
! |............|....S.|......|.
! ----------------------------.
  ENDMAP
! STAIR:levregion(01,00,79,20),(0,0,28,12),up
! STAIR:levregion(01,00,79,20),(0,0,28,12),down
! BRANCH:levregion(01,00,79,20),(0,0,28,12)
! TELEPORT_REGION:levregion(01,00,79,20),(0,0,27,12)
  REGION:(09,03,17,09),unlit,"zoo"
  DOOR:closed,(15,02)
  DOOR:closed,(11,10)
! MAZEWALK:(28,05),east
  LADDER:(12,01),up
  LADDER:(14,11),down
  # Non diggable walls everywhere
--- 89,120 ----
  
  
  # The middle wizard level.
! MAZE:"wizard2",' '
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------
! |.....|.S....|.............|
! |.....|.-------S--------S--|
! |.....|.|.........|........|
! |..-S--S|.........|........|
! |..|....|.........|------S-|
! |..|....|.........|.....|..|
! |-S-----|.........|.....|..|
! |.......|.........|S--S--..|
! |.......|.........|.|......|
! |-----S----S-------.|......|
! |............|....S.|......|
! ----------------------------
  ENDMAP
! # STAIR:levregion(01,00,79,20),(0,0,28,12),up
! # STAIR:levregion(01,00,79,20),(0,0,28,12),down
! # BRANCH:levregion(01,00,79,20),(0,0,28,12)
! # TELEPORT_REGION:levregion(01,00,79,20),(0,0,26,12)
  REGION:(09,03,17,09),unlit,"zoo"
  DOOR:closed,(15,02)
  DOOR:closed,(11,10)
! # MAZEWALK:(28,05),east
  LADDER:(12,01),up
  LADDER:(14,11),down
  # Non diggable walls everywhere
***************
*** 145,170 ****
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------.
! |..|............S..........|.
! |..|..------------------S--|.
! |..|..|.........|..........|.
! |..S..|.}}}}}}}.|..........|.
! |..|..|.}}---}}.|-S--------|.
! |..|..|.}--.--}.|..|.......|.
! |..|..|.}|...|}.|..|.......|.
! |..---|.}--.--}.|..|.......|.
! |.....|.}}---}}.|..|.......|.
! |.....S.}}}}}}}.|..|.......|.
! |.....|.........|..S.......|.
! ----------------------------.
  ENDMAP
! STAIR:levregion(01,00,79,20),(0,0,28,12),up
! STAIR:levregion(01,00,79,20),(0,0,28,12),down
! BRANCH:levregion(01,00,79,20),(0,0,28,12)
! TELEPORT_REGION:levregion(01,00,79,20),(0,0,27,12)
! PORTAL:(25,11,25,11),(0,0,0,0),"fakewiz1"
! MAZEWALK:(28,09),east
  REGION:(07,03,15,11),unlit,"morgue",unfilled
  REGION:(17,06,18,11),unlit,"beehive"
  # make the entry chamber a real room; it affects monster arrival;
--- 145,171 ----
  FLAGS:noteleport,hardfloor
  GEOMETRY:center,center
  MAP
! ----------------------------
! |..|............S..........|
! |..|..------------------S--|
! |..|..|.........|..........|
! |..S..|.}}}}}}}.|..........|
! |..|..|.}}---}}.|-S--------|
! |..|..|.}--.--}.|..|.......|
! |..|..|.}|...|}.|..|.......|
! |..---|.}--.--}.|..|.......|
! |.....|.}}---}}.|..|.......|
! |.....S.}}}}}}}.|..|.......|
! |.....|.........|..S.......|
! ----------------------------
  ENDMAP
! # STAIR:levregion(01,00,79,20),(0,0,28,12),up
! # STAIR:levregion(01,00,79,20),(0,0,28,12),down
! # BRANCH:levregion(01,00,79,20),(0,0,28,12)
! # TELEPORT_REGION:levregion(01,00,79,20),(0,0,26,12)
! BRANCH:(25,11,25,11),(00,00,00,00)
! # PORTAL:(25,11,25,11),(0,0,0,0),"nkai-b"
! # MAZEWALK:(28,09),east
  REGION:(07,03,15,11),unlit,"morgue",unfilled
  REGION:(17,06,18,11),unlit,"beehive"
  # make the entry chamber a real room; it affects monster arrival;
***************
*** 214,276 ****
  OBJECT:'"',random,(11,07)
  
  
! # The former decoy wizard levels.
! # There are two of these, and we need to
! # distinguish between them for the portal.
! MAZE:"fakewiz1",random
! GEOMETRY:center,center
! MAP
! .........
! .}}}}}}}.
! .}}---}}.
! .}--.--}.
! .}|...|}.
! .}--.--}.
! .}}---}}.
! .}}}}}}}.
! ENDMAP
! STAIR:levregion(01,00,79,20),(0,0,8,7),up
! STAIR:levregion(01,00,79,20),(0,0,8,7),down
! BRANCH:levregion(01,00,79,20),(0,0,8,7)
! TELEPORT_REGION:levregion(01,00,79,20),(2,2,6,6)
! PORTAL:(4,4,4,4),(0,0,0,0),"wizard3"
! MAZEWALK:(08,05),east
! REGION:(04,03,06,06),unlit,"ordinary",unfilled,true
! MONSTER:'L',random,(04,04)
! MONSTER:'V',"vampire lord",(03,04)
! MONSTER:';',"kraken",(06,06)
! # And to make things a little harder.
! TRAP:"board",(04,03)
! TRAP:"board",(04,05)
! TRAP:"board",(03,04)
! TRAP:"board",(05,04)
! 
! 
! MAZE:"fakewiz2",random
! GEOMETRY:center,center
! MAP
! .........
! .}}}}}}}.
! .}}---}}.
! .}--.--}.
! .}|...|}.
! .}--.--}.
! .}}---}}.
! .}}}}}}}.
! ENDMAP
! STAIR:levregion(01,00,79,20),(0,0,8,7),up
! STAIR:levregion(01,00,79,20),(0,0,8,7),down
! BRANCH:levregion(01,00,79,20),(0,0,8,7)
! TELEPORT_REGION:levregion(01,00,79,20),(2,2,6,6)
! MAZEWALK:(08,05),east
! REGION:(04,03,06,06),unlit,"ordinary",unfilled,true
! MONSTER:'L',random,(04,04)
! MONSTER:'V',"vampire lord",(03,04)
! MONSTER:';',"kraken",(06,06)
! # And to make things a little harder.
! TRAP:"board",(04,03)
! TRAP:"board",(04,05)
! TRAP:"board",(03,04)
! TRAP:"board",(05,04)
! # treasures
! OBJECT:'"',random,(04,04)
--- 215,277 ----
  OBJECT:'"',random,(11,07)
  
  
! # # The former decoy wizard levels.
! # # There are two of these, and we need to
! # # distinguish between them for the portal.
! # MAZE:"fakewiz1",random
! # GEOMETRY:center,center
! # MAP
! # .........
! # .}}}}}}}.
! # .}}---}}.
! # .}--.--}.
! # .}|...|}.
! # .}--.--}.
! # .}}---}}.
! # .}}}}}}}.
! # ENDMAP
! # STAIR:levregion(01,00,79,20),(0,0,8,7),up
! # STAIR:levregion(01,00,79,20),(0,0,8,7),down
! # BRANCH:levregion(01,00,79,20),(0,0,8,7)
! # TELEPORT_REGION:levregion(01,00,79,20),(2,2,6,6)
! # # PORTAL:(4,4,4,4),(0,0,0,0),"wizard3"
! # MAZEWALK:(08,05),east
! # REGION:(04,03,06,06),unlit,"ordinary",unfilled,true
! # MONSTER:'L',random,(04,04)
! # MONSTER:'V',"vampire lord",(03,04)
! # MONSTER:';',"kraken",(06,06)
! # # And to make things a little harder.
! # TRAP:"board",(04,03)
! # TRAP:"board",(04,05)
! # TRAP:"board",(03,04)
! # TRAP:"board",(05,04)
! # 
! # 
! # MAZE:"fakewiz2",random
! # GEOMETRY:center,center
! # MAP
! # .........
! # .}}}}}}}.
! # .}}---}}.
! # .}--.--}.
! # .}|...|}.
! # .}--.--}.
! # .}}---}}.
! # .}}}}}}}.
! # ENDMAP
! # STAIR:levregion(01,00,79,20),(0,0,8,7),up
! # STAIR:levregion(01,00,79,20),(0,0,8,7),down
! # BRANCH:levregion(01,00,79,20),(0,0,8,7)
! # TELEPORT_REGION:levregion(01,00,79,20),(2,2,6,6)
! # MAZEWALK:(08,05),east
! # REGION:(04,03,06,06),unlit,"ordinary",unfilled,true
! # MONSTER:'L',random,(04,04)
! # MONSTER:'V',"vampire lord",(03,04)
! # MONSTER:';',"kraken",(06,06)
! # # And to make things a little harder.
! # TRAP:"board",(04,03)
! # TRAP:"board",(04,05)
! # TRAP:"board",(03,04)
! # TRAP:"board",(05,04)
! # # treasures
! # OBJECT:'"',random,(04,04)
diff --recursive -P -C3 slashem-0.0.7E7F2/Files slethe-0.0.7E7F2/Files
*** slashem-0.0.7E7F2/Files	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/Files	2006-05-28 15:31:15.728992016 +0200
***************
*** 24,30 ****
  opthelp         oracle.des      oracles.txt     pet_mark.pbm    quest.txt
  rats.des        rumors.fal      rumors.tru      sea.des         sokoban.des
  spiders.des     stor-1.des      stor-2.des      stor-3.des      template.des
! tomb.des        tower.des       wizhelp         yendor.des
  
  doc:
  (files for all versions)
--- 24,30 ----
  opthelp         oracle.des      oracles.txt     pet_mark.pbm    quest.txt
  rats.des        rumors.fal      rumors.tru      sea.des         sokoban.des
  spiders.des     stor-1.des      stor-2.des      stor-3.des      template.des
! tomb.des        tower.des       wizhelp         yendor.des	lethe.des
  
  doc:
  (files for all versions)
diff --recursive -P -C3 slashem-0.0.7E7F2/include/decl.h slethe-0.0.7E7F2/include/decl.h
*** slashem-0.0.7E7F2/include/decl.h	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/include/decl.h	2006-05-28 15:31:15.732991408 +0200
***************
*** 56,64 ****
--- 56,67 ----
      d_level     d_mineend_level;
      d_level	d_stronghold_level;
      d_level	d_valley_level;
+     d_level	d_ucastle_level;	/* LETHE */
+     d_level	d_lethe_last_level;	/* LETHE */
      d_level	d_wiz1_level;
      d_level	d_wiz2_level;
      d_level	d_wiz3_level;
+     d_level	d_pvalley_level;	/* LETHE */
      d_level	d_juiblex_level;
      d_level	d_orcus_level;
      d_level	d_baalzebub_level;	/* unused */
***************
*** 95,105 ****
--- 98,111 ----
  #endif
  #define medusa_level		(dungeon_topology.d_medusa_level)
  #define stronghold_level	(dungeon_topology.d_stronghold_level)
+ #define ucastle_level		(dungeon_topology.d_ucastle_level)
+ #define lethe_last_level	(dungeon_topology.d_lethe_last_level)
  #define valley_level		(dungeon_topology.d_valley_level)
  #define mineend_level           (dungeon_topology.d_mineend_level)
  #define wiz1_level		(dungeon_topology.d_wiz1_level)
  #define wiz2_level		(dungeon_topology.d_wiz2_level)
  #define wiz3_level		(dungeon_topology.d_wiz3_level)
+ #define pvalley_level		(dungeon_topology.d_pvalley_level)
  #define juiblex_level		(dungeon_topology.d_juiblex_level)
  #define orcus_level		(dungeon_topology.d_orcus_level)
  #define baalzebub_level		(dungeon_topology.d_baalzebub_level)
diff --recursive -P -C3 slashem-0.0.7E7F2/include/dungeon.h slethe-0.0.7E7F2/include/dungeon.h
*** slashem-0.0.7E7F2/include/dungeon.h	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/include/dungeon.h	2006-05-28 15:31:15.734991104 +0200
***************
*** 106,111 ****
--- 106,112 ----
  #define Is_medusa_level(x)	(on_level(x, &medusa_level))
  #define Is_oracle_level(x)	(on_level(x, &oracle_level))
  #define Is_valley(x)		(on_level(x, &valley_level))
+ #define Is_pvalley(x)		(on_level(x, &pvalley_level))
  #define Is_juiblex_level(x)	(on_level(x, &juiblex_level))
  #define Is_asmo_level(x)	(on_level(x, &asmodeus_level))
  #define Is_baal_level(x)	(on_level(x, &baalzebub_level))
***************
*** 116,123 ****
  #define Is_portal_level(x)	(on_level(x, &portal_level))
  #define Is_rogue_level(x)	(on_level(x, &rogue_level))
  #define Is_stronghold(x)	(on_level(x, &stronghold_level))
  #define Is_bigroom(x)		(on_level(x, &bigroom_level))
- 
  #define Is_demogorgon_level(x)  (on_level(x, &demogorgon_level))
  #define Is_yeenoghu_level(x)    (on_level(x, &yeenoghu_level))
  #define Is_geryon_level(x)      (on_level(x, &geryon_level))
--- 117,125 ----
  #define Is_portal_level(x)	(on_level(x, &portal_level))
  #define Is_rogue_level(x)	(on_level(x, &rogue_level))
  #define Is_stronghold(x)	(on_level(x, &stronghold_level))
+ #define Is_ucastle(x)		(on_level(x, &ucastle_level))
+ #define Is_lethe_last(x)	(on_level(x, &lethe_last_level))
  #define Is_bigroom(x)		(on_level(x, &bigroom_level))
  #define Is_demogorgon_level(x)  (on_level(x, &demogorgon_level))
  #define Is_yeenoghu_level(x)    (on_level(x, &yeenoghu_level))
  #define Is_geryon_level(x)      (on_level(x, &geryon_level))
diff --recursive -P -C3 slashem-0.0.7E7F2/include/extern.h slethe-0.0.7E7F2/include/extern.h
*** slashem-0.0.7E7F2/include/extern.h	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/include/extern.h	2006-05-28 15:31:15.741990040 +0200
***************
*** 543,548 ****
--- 543,550 ----
  E boolean FDECL(In_V_tower, (d_level *));
  E boolean FDECL(On_W_tower_level, (d_level *));
  E boolean FDECL(In_W_tower, (int,int,d_level *));
+ E void FDECL(find_castle_dungeon, (d_level *));
+ E void FDECL(goto_prision, (BOOLEAN_P,BOOLEAN_P));
  E void FDECL(find_hell, (d_level *));
  E void FDECL(goto_hell, (BOOLEAN_P,BOOLEAN_P));
  E void FDECL(assign_level, (d_level *,d_level *));
***************
*** 1008,1014 ****
  E boolean FDECL(is_home_elemental, (struct permonst *));
  E struct monst *FDECL(clone_mon, (struct monst *,XCHAR_P,XCHAR_P));
  E struct monst *FDECL(makemon, (struct permonst *,int,int,int));
! E boolean FDECL(create_critters, (int,struct permonst *));
  E struct permonst *NDECL(rndmonst);
  E void FDECL(reset_rndmonst, (int));
  E struct permonst *FDECL(mkclass, (CHAR_P,int));
--- 1010,1016 ----
  E boolean FDECL(is_home_elemental, (struct permonst *));
  E struct monst *FDECL(clone_mon, (struct monst *,XCHAR_P,XCHAR_P));
  E struct monst *FDECL(makemon, (struct permonst *,int,int,int));
! E boolean FDECL(create_critters, (int,struct permonst *,int));
  E struct permonst *NDECL(rndmonst);
  E void FDECL(reset_rndmonst, (int));
  E struct permonst *FDECL(mkclass, (CHAR_P,int));
***************
*** 1691,1696 ****
--- 1693,1699 ----
  E const char *FDECL(halu_gname, (ALIGNTYP_P));
  E const char *FDECL(align_gtitle, (ALIGNTYP_P));
  E void FDECL(altar_wrath, (int,int));
+ E void NDECL(moloch_denies_you);
  
  
  /* ### priest.c ### */
***************
*** 1925,1930 ****
--- 1928,1934 ----
  E void FDECL(subfrombill, (struct obj *,struct monst *));
  E long FDECL(stolen_value, (struct obj *,XCHAR_P,XCHAR_P,BOOLEAN_P,BOOLEAN_P,
  			    BOOLEAN_P));
+ E void FDECL(revive_parrot, (struct monst *, struct obj *));
  E void FDECL(sellobj_state, (int));
  E void FDECL(sellobj, (struct obj *,XCHAR_P,XCHAR_P));
  E int FDECL(doinvbill, (int));
diff --recursive -P -C3 slashem-0.0.7E7F2/include/monflag.h slethe-0.0.7E7F2/include/monflag.h
*** slashem-0.0.7E7F2/include/monflag.h	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/include/monflag.h	2006-05-28 15:31:15.744989584 +0200
***************
*** 235,238 ****
--- 235,247 ----
  /* Additional flag for mkclass() */
  #define MKC_ULIMIT	0x10000		/* place an upper limit on difficulty
  					   of generated monster */
+ 
+ /* Lethe */
+ /* For create_critters and demonology... */
+ #define MAKE_EM_NATURAL		0	/* Create monsters... */
+ #define MAKE_EM_HOSTILE		1	/* Create hostile monsters... */
+ #define MAKE_EM_PEACEFUL	2	/* Create peaceful monsters... */
+ #define MAKE_EM_TAME		3	/* Create tamed monsters... */
+ 
+ 
  #endif /* MONFLAG_H */
diff --recursive -P -C3 slashem-0.0.7E7F2/src/dig.c slethe-0.0.7E7F2/src/dig.c
*** slashem-0.0.7E7F2/src/dig.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/dig.c	2006-05-28 15:31:15.766986240 +0200
***************
*** 678,684 ****
  			d_level tolevel;
  
  			if (Is_stronghold(&u.uz)) {
! 			    assign_level(&tolevel, &valley_level);
  			} else if (Is_botlevel(&u.uz)) {
  			    if (canseemon(mtmp))
  				pline("%s avoids the trap.", Monnam(mtmp));
--- 678,684 ----
  			d_level tolevel;
  
  			if (Is_stronghold(&u.uz)) {
! 			    assign_level(&tolevel, &ucastle_level);
  			} else if (Is_botlevel(&u.uz)) {
  			    if (canseemon(mtmp))
  				pline("%s avoids the trap.", Monnam(mtmp));
diff --recursive -P -C3 slashem-0.0.7E7F2/src/do.c slethe-0.0.7E7F2/src/do.c
*** slashem-0.0.7E7F2/src/do.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/do.c	2006-05-28 15:31:15.771985480 +0200
***************
*** 863,869 ****
  		trap->ttyp == HOLE ? "down the hole" : "through the trap door");
  
  	if (trap && Is_stronghold(&u.uz)) {
! 		goto_hell(FALSE, TRUE);
  	} else {
  		at_ladder = (boolean) (levl[u.ux][u.uy].typ == LADDER);
  		next_level(!trap);
--- 863,869 ----
  		trap->ttyp == HOLE ? "down the hole" : "through the trap door");
  
  	if (trap && Is_stronghold(&u.uz)) {
! 		goto_prision(FALSE, TRUE);
  	} else {
  		at_ladder = (boolean) (levl[u.ux][u.uy].typ == LADDER);
  		next_level(!trap);
***************
*** 1184,1190 ****
  		    u_on_newpos(xdnladder, ydnladder);
  		} else {
  		    if (newdungeon) {
! 			if (Is_stronghold(&u.uz)) {
  			    register xchar x, y;
  
  			    do {
--- 1184,1192 ----
  		    u_on_newpos(xdnladder, ydnladder);
  		} else {
  		    if (newdungeon) {
! 			/* Removed for Lethe - now hero 
! 			arrives at special downstairs */
! 			/* if (Is_stronghold(&u.uz)) {
  			    register xchar x, y;
  
  			    do {
***************
*** 1193,1199 ****
  			    } while(occupied(x, y) ||
  				    IS_WALL(levl[x][y].typ));
  			    u_on_newpos(x, y);
! 			} else u_on_sstairs();
  		    } else u_on_dnstairs();
  		}
  		/* Remove bug which crashes with levitation/punishment  KAA */
--- 1195,1201 ----
  			    } while(occupied(x, y) ||
  				    IS_WALL(levl[x][y].typ));
  			    u_on_newpos(x, y);
! 			} else */ u_on_sstairs();
  		    } else u_on_dnstairs();
  		}
  		/* Remove bug which crashes with levitation/punishment  KAA */
***************
*** 1329,1335 ****
  	check_special_room(FALSE);
  
  	/* Check whether we just entered Gehennom. */
! 	if (!In_hell(&u.uz0) && Inhell) {
  	    if (Is_valley(&u.uz)) {
  		You("arrive at the Valley of the Dead...");
  		pline_The("odor of burnt flesh and decay pervades the air.");
--- 1331,1337 ----
  	check_special_room(FALSE);
  
  	/* Check whether we just entered Gehennom. */
! 	if ((!In_hell(&u.uz0)||Is_pvalley(&u.uz0)) && Inhell) {
  	    if (Is_valley(&u.uz)) {
  		You("arrive at the Valley of the Dead...");
  		pline_The("odor of burnt flesh and decay pervades the air.");
***************
*** 1337,1343 ****
  		display_nhwindow(WIN_MESSAGE, FALSE);
  #endif
  		You_hear("groans and moans everywhere.");
! 	    } else pline("It is hot here.  You smell smoke...");
  	}
  
  	if (familiar) {
--- 1339,1350 ----
  		display_nhwindow(WIN_MESSAGE, FALSE);
  #endif
  		You_hear("groans and moans everywhere.");
! 	    /*} else pline("It is hot here.  You smell smoke...");*/
! 	    } else if (    !In_V_tower(&u.uz0)
! 		      && !Is_pvalley(&u.uz) ) {
! 		pline("It is hot here.  You smell smoke...");
!             }
! 		    
  	}
  
  	if (familiar) {
***************
*** 1375,1382 ****
  	/* Final confrontation */
  	if (In_endgame(&u.uz) && newdungeon && u.uhave.amulet)
  		resurrect();
! 	if (newdungeon && In_V_tower(&u.uz) && In_hell(&u.uz0))
! 		pline_The("heat and smoke are gone.");
  
  	/* the message from your quest leader */
  	if (!In_quest(&u.uz0) && at_dgn_entrance("The Quest") &&
--- 1382,1398 ----
  	/* Final confrontation */
  	if (In_endgame(&u.uz) && newdungeon && u.uhave.amulet)
  		resurrect();
! 	/* Lethe change */
! 	/* if (newdungeon && In_V_tower(&u.uz) && In_hell(&u.uz0))
! 		pline_The("heat and smoke are gone."); */
! 	if ( Is_pvalley(&u.uz)
! 		&& !In_V_tower(&u.uz0)
! 		&& In_hell(&u.uz0) ) {
! 	     pline_The("heat and smoke are gone.");
! 	}
! 	if (newdungeon && On_W_tower_level(&u.uz) && In_hell(&u.uz0))
! 	    pline_The("heat and smoke are gone.");
! 			
  
  	/* the message from your quest leader */
  	if (!In_quest(&u.uz0) && at_dgn_entrance("The Quest") &&
diff --recursive -P -C3 slashem-0.0.7E7F2/src/dog.c slethe-0.0.7E7F2/src/dog.c
*** slashem-0.0.7E7F2/src/dog.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/dog.c	2006-05-28 15:31:15.781983960 +0200
***************
*** 904,910 ****
  	    /* KMH -- Added gypsy */
  	    mtmp->isgyp ||
  	    is_covetous(mtmp->data) || is_human(mtmp->data) ||
! 	    (is_demon(mtmp->data) && !is_demon(youmonst.data)) ||
  	    /* Mik -- New flag to indicate which things cannot be tamed... */
  	    cannot_be_tamed(mtmp->data) ||
  	    (obj && dogfood(mtmp, obj) >= MANFOOD)) return (struct monst *)0;
--- 904,911 ----
  	    /* KMH -- Added gypsy */
  	    mtmp->isgyp ||
  	    is_covetous(mtmp->data) || is_human(mtmp->data) ||
! 	    /* Demonology kludge */
! /*	    (is_demon(mtmp->data) && !is_demon(youmonst.data)) || */
  	    /* Mik -- New flag to indicate which things cannot be tamed... */
  	    cannot_be_tamed(mtmp->data) ||
  	    (obj && dogfood(mtmp, obj) >= MANFOOD)) return (struct monst *)0;
diff --recursive -P -C3 slashem-0.0.7E7F2/src/dokick.c slethe-0.0.7E7F2/src/dokick.c
*** slashem-0.0.7E7F2/src/dokick.c	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/src/dokick.c	2006-05-28 15:31:15.786983200 +0200
***************
*** 1183,1190 ****
  	switch (loc) {
  	 case MIGR_RANDOM:	/* trap door or hole */
  		    if (Is_stronghold(&u.uz)) {
! 			cc->x = valley_level.dnum;
! 			cc->y = valley_level.dlevel;
  			break;
  		    } else if (In_endgame(&u.uz) || Is_botlevel(&u.uz)) {
  			cc->y = cc->x = 0;
--- 1183,1190 ----
  	switch (loc) {
  	 case MIGR_RANDOM:	/* trap door or hole */
  		    if (Is_stronghold(&u.uz)) {
! 			cc->x = ucastle_level.dnum;
! 			cc->y = ucastle_level.dlevel;
  			break;
  		    } else if (In_endgame(&u.uz) || Is_botlevel(&u.uz)) {
  			cc->y = cc->x = 0;
